%define TYPE SECUP

Name: openssh
Summary: Secure shell client and server (remote login program)
Version: 4.5p1
Release: 3.3
URL: http://www.openssh.com/
Group: Applications/Networking
License: BSD
Vendor: InterNetX GmbH
Packager: InterNetX Package Maintainer <cs@internetx.de>
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: patch gcc tcpd pam-devel openssl openssl-devel
Source: openssh-%{version}.tar.gz
Patch: openssh-%{version}.diff

%description
SSH  (Secure  Shell) is a program for logging into a remote
machine and for executing commands on  a  remote  machine.
It  is intended  to  replace  rlogin and rsh, and provides
secure  encrypted  communication  between  two  untrusted
hosts over an insecure network.  X11 connections and
arbiarbitrary TCP/IP ports can also be forwarded over the
secure channel.

%prep
%setup
%patch -p1

%build
# unset CFLAGS
./configure \
--bindir=/usr/bin \
--sbindir=/usr/sbin \
--sysconfdir=/etc/ssh \
--libdir=/usr/lib \
--infodir=/usr/share/info \
--mandir=/usr/share/man \
--libexecdir=/usr/lib/ssh \
--with-mantype=man \
--with-tcp-wrappers \
--with-pam \
--with-ssl-dir \
--with-md5-passwords \
--with-ipv4-default \
--with-pid-dir=/var/run \
--with-privsep-path=/var/empty \
--with-privsep-user=sshd \
--without-zlib-version-check
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

cp PATCH/sshd_config .

make install DESTDIR=$RPM_BUILD_ROOT/

mkdir -p $RPM_BUILD_ROOT/etc/init.d
install PATCH/rc $RPM_BUILD_ROOT/etc/init.d/sshd
ln -sf /etc/init.d/sshd $RPM_BUILD_ROOT/usr/sbin/rcsshd

mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 PATCH/rc.config.ssh $RPM_BUILD_ROOT/var/adm/fillup-templates
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
install -m 644 PATCH/pam.d-sshd $RPM_BUILD_ROOT/etc/pam.d/sshd

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.ssh
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.ssh and"
  echo "update by hand."
fi
sbin/insserv etc/init.d/sshd
grep "^sshd" /etc/group 1>/dev/null 2>&1 || groupadd sshd
id sshd 1>/dev/null 2>&1 || useradd -g sshd -c 'sshd privsep' -d /var/empty -s /bin/false sshd
mkdir -p /var/empty
chown root:sys /var/empty
chmod 755 /var/empty
echo "ATTENTION!"
echo "Do not forget to do a killall sshd to force a proper re-initialisation."

%postun
sbin/insserv etc/init.d/

%files
%defattr(-,root,root)
%config /etc/init.d/sshd
%config /etc/ssh/ssh_config
%config /etc/ssh/sshd_config
%config /etc/ssh/moduli
%config /etc/pam.d/sshd
%dir /etc/ssh
%dir /var/empty
%doc CREDITS ChangeLog LICENCE OVERVIEW README README.privsep RFC.nroff TODO
/usr/sbin/rcsshd
/usr/lib/ssh/sftp-server
/usr/lib/ssh/ssh-keysign
/usr/sbin/sshd
/usr/share/man/man5/ssh_config.5*
/usr/share/man/man5/sshd_config.5*
/usr/share/man/man1/ssh-keyscan.1*
/usr/share/man/man1/ssh.1*
/usr/share/man/man1/scp.1*
/usr/share/man/man1/ssh-keygen.1*
/usr/share/man/man1/ssh-add.1*
/usr/share/man/man1/sftp.1*
/usr/share/man/man1/ssh-agent.1*
/usr/share/man/man8/sshd.8*
/usr/share/man/man8/ssh-keysign.8*
/usr/share/man/man8/sftp-server.8*
/usr/bin/ssh-keyscan
/usr/bin/ssh-agent
/usr/bin/ssh-add
/usr/bin/ssh-keygen
/usr/bin/scp
/usr/bin/sftp
/usr/bin/ssh
/var/adm/fillup-templates/rc.config.ssh

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
rm -rf %{_builddir}/%{name}-%{version}

